import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DefinitionBaseDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private al;
    get background(): string;
    set background(a: string);
    private am;
    get border(): string;
    set border(a: string);
    private ac;
    get activationBorder(): string;
    set activationBorder(a: string);
    private af;
    get actualBorder(): string;
    set actualBorder(a: string);
    private r;
    get borderLeftWidth(): number;
    set borderLeftWidth(a: number);
    private t;
    get borderTopWidth(): number;
    set borderTopWidth(a: number);
    private s;
    get borderRightWidth(): number;
    set borderRightWidth(a: number);
    private q;
    get borderBottomWidth(): number;
    set borderBottomWidth(a: number);
    private n;
    get activationBorderLeftWidth(): number;
    set activationBorderLeftWidth(a: number);
    private p;
    get activationBorderTopWidth(): number;
    set activationBorderTopWidth(a: number);
    private o;
    get activationBorderRightWidth(): number;
    set activationBorderRightWidth(a: number);
    private m;
    get activationBorderBottomWidth(): number;
    set activationBorderBottomWidth(a: number);
    private ae;
    get actualBackground(): string;
    set actualBackground(a: string);
    private ad;
    get actualActivationBorder(): string;
    set actualActivationBorder(a: string);
    private au;
    get stickyRowBackground(): string;
    set stickyRowBackground(a: string);
    private aj;
    get actualStickyRowBackground(): string;
    set actualStickyRowBackground(a: string);
    private at;
    get pinnedRowBackground(): string;
    set pinnedRowBackground(a: string);
    private ai;
    get actualPinnedRowBackground(): string;
    set actualPinnedRowBackground(a: string);
    private ar;
    get lastStickyRowBackground(): string;
    set lastStickyRowBackground(a: string);
    private ag;
    get actualLastStickyRowBackground(): string;
    set actualLastStickyRowBackground(a: string);
    private g;
    get contentOpacity(): number;
    set contentOpacity(a: number);
    private aq;
    get horizontalAlignment(): string;
    set horizontalAlignment(a: string);
    private aw;
    get verticalAlignment(): string;
    set verticalAlignment(a: string);
    private as;
    get lineBreakMode(): string;
    set lineBreakMode(a: string);
    private ah;
    get actualLineBreakMode(): string;
    set actualLineBreakMode(a: string);
    private av;
    get textColor(): string;
    set textColor(a: string);
    private ak;
    get actualTextColor(): string;
    set actualTextColor(a: string);
    private h;
    get pinnedRowOpacity(): number;
    set pinnedRowOpacity(a: number);
    private f;
    get actualPinnedRowOpacity(): number;
    set actualPinnedRowOpacity(a: number);
    private _fontFamily;
    get fontFamily(): string;
    set fontFamily(a: string);
    private _fontSize;
    get fontSize(): number;
    set fontSize(a: number);
    private _fontStyle;
    get fontStyle(): string;
    set fontStyle(a: string);
    private _fontWeight;
    get fontWeight(): string;
    set fontWeight(a: string);
    private ao;
    get dataBindingRef(): string;
    set dataBindingRef(a: string);
    private ap;
    get dataBoundRef(): string;
    set dataBoundRef(a: string);
    private an;
    get cellStyleKeyRequestedRef(): string;
    set cellStyleKeyRequestedRef(a: string);
}
